Loading...
Searching...
No Matches
libdar::label Class Reference
Private

manage label data structure used in archive slice headers More...

`#include <label.hpp>`

## Public Member Functions

| label (const label &ref)
| label (label &&ref) noexcept
label & | operator= (const label &ref)
label & | operator= (label &&ref) noexcept
bool | operator== (const label &ref) const
bool | operator!= (const label &ref) const
void | clear ()
bool | is_cleared () const
void | generate_internal_filename ()
void | read (generic_file &f)
void | dump (generic_file &f) const
void | invert_first_byte ()
U_I | size () const
char * | data ()
const char * | data () const

## Static Public Member Functions

static U_I | common_size ()

## Private Member Functions

void | copy_from (const label &ref)
void | move_from (label &&ref) noexcept

## Private Attributes

char | val [LABEL_SIZE]

## Static Private Attributes

static constexpr U_I | LABEL_SIZE = 10

## Detailed Description

manage label data structure used in archive slice headers

Definition at line 42 of file label.hpp.

## Constructor & Destructor Documentation

## label() [1/2]

libdar::label::label | ( | const label & | ref | ) |

inline

Definition at line 46 of file label.hpp.

## label() [2/2]

libdar::label::label | ( | label && | ref | ) |

inline noexcept

Definition at line 47 of file label.hpp.

## Member Function Documentation

## common_size()

U_I libdar::label::common_size | ( |  | ) |

inline static

Definition at line 72 of file label.hpp.

## data() [1/2]

char * libdar::label::data | ( |  | ) |

inline

Definition at line 69 of file label.hpp.

## data() [2/2]

const char * libdar::label::data | ( |  | ) | const

inline

Definition at line 70 of file label.hpp.

## invert_first_byte()

void libdar::label::invert_first_byte | ( |  | ) |

inline

Definition at line 63 of file label.hpp.

## operator!=()

bool libdar::label::operator!= | ( | const label & | ref | ) | const

inline

Definition at line 53 of file label.hpp.

## operator=() [1/2]

label & libdar::label::operator= | ( | const label & | ref | ) |

inline

Definition at line 48 of file label.hpp.

## operator=() [2/2]

label & libdar::label::operator= | ( | label && | ref | ) |

inline noexcept

Definition at line 49 of file label.hpp.

## size()

U_I libdar::label::size | ( |  | ) | const

inline

Definition at line 68 of file label.hpp.

## Member Data Documentation

## LABEL_SIZE

U_I libdar::label::LABEL_SIZE = 10

static constexpr private

Definition at line 75 of file label.hpp.

## val

char libdar::label::val[LABEL_SIZE]

private

Definition at line 77 of file label.hpp.

The documentation for this class was generated from the following file:

- label.hpp